Skip to main content
POST
/
products
/
Create a product
curl --request POST \
  --url https://api.journeybee.io/v1/products/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "price": 0,
  "billing_type": "one_time",
  "status": "draft",
  "sku": "<string>",
  "description": "<string>",
  "currency_uuid": "<string>"
}
'
{
  "uuid": "<string>",
  "name": "<string>",
  "sku": "<string>",
  "description": "<string>",
  "price": 123,
  "currency": {
    "uuid": "<string>",
    "code": "<string>",
    "label": "<string>"
  },
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Body

application/json
name
string
required
price
number
default:0
required

Monetary amount in WHOLE currency units (the displayed amount, e.g. 1000.00 = one thousand) — NOT minor units/cents. Do NOT divide or multiply by 100; send and show the amount as-is.

billing_type
enum<string>
default:one_time
required
Available options:
one_time,
recurring
status
enum<string>
default:draft
required
Available options:
live,
draft,
archived
sku
string | null
description
string | null
currency_uuid
string
billing_period
enum<string> | null
Available options:
monthly,
quarterly,
yearly

Response

201 - application/json

Default Response

uuid
string
required
name
string
required
sku
string | null
required
description
string | null
required
price
number
required

Monetary amount in WHOLE currency units (the displayed amount, e.g. 1000.00 = one thousand) — NOT minor units/cents. Do NOT divide or multiply by 100; send and show the amount as-is.

billing_type
enum<string>
required
Available options:
one_time,
recurring
billing_period
enum<string> | null
required
Available options:
monthly,
quarterly,
yearly
status
enum<string>
required
Available options:
live,
draft,
archived
currency
object
required
created_at
string
required
updated_at
string
required